Subject: byacc problem with "gcc -ansi" in beta18
From: [email-masked] (Lutz Jaenicke)

18 Jul 1997 07:08:11 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Original-To: [email-masked]
X-Mailer: Mutt 0.69
Original-Sender: [email-masked]

Hello out there!

When porting a UNIX (and Linux) software to gnu-win32 I found a small
portability problem in beta18:

byacc under gnu-win32 b18 generates the following code for yygrow():

static int
#ifdef __GNUC__
inline
#endif
yygrow ()
{
....

When running gcc with "gcc -ansi", __GNUC__ is recognized, the "inline"
keyword is however invalid in strict ANSI mode.
In byacc/skeleton.c, line 113ff this should be changed to e.g.
#if (defined(__GNUC__) && !defined(__STRICT_ANSI__))
inline
#endif

Best regards,
	Lutz Jaenicke
PS. Nice set of tools.
PPS. Since I am not myself on the list (I only access it from the archive)
and don't intend to get on it (ssh, kde and samba is already enough
traffic :-), please CC all comments to my email address.
-- 
Lutz Jaenicke                             [email-masked]
BTU Cottbus                http://www.aet.TU-Cottbus.DE/personen/jaenicke
Lehrstuhl Allgemeine Elektrotechnik                  Tel. +49 355 69-2772
Postfach 101344, D-03013 Cottbus                     Fax. +49 355 69-2395
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".